# Step 3 taskflow

- [Submit for review](https://docs.tasksource.io/api-documentation/step-3-taskflow/submit-for-review.md): As a developer, I want to submit a task for review when I'm done with the work.
- [Review Deadline reached](https://docs.tasksource.io/api-documentation/step-3-taskflow/review-deadline-reached.md): After the task has been submittedForReview = true for 96 (4 days) hours without being accepted by the creator of the task it should be accepted automaticly
- [Accept work result](https://docs.tasksource.io/api-documentation/step-3-taskflow/accept-work-result.md): As a creator, I want to accept the work of a submitted task
- [Reject work result](https://docs.tasksource.io/api-documentation/step-3-taskflow/reject-work-result.md): As a creator, I want to reject the work a developer submitted because the solution is not working


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tasksource.io/api-documentation/step-3-taskflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
